Package org.opensaml.saml.common.assertion

# Class AssertionValidationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.opensaml.saml.common.SAMLException
org.opensaml.saml.common.assertion.AssertionValidationException

All Implemented Interfaces:
  `Serializable`

public class AssertionValidationException extends SAMLException
Exception indicating a problem validating a SAML Assertion.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final long`
`serialVersionUID`
Serial version UID.

## Constructor Summary

Constructors
Constructor
Description
`AssertionValidationException()`
Constructor.
`AssertionValidationException(Exception cause)`
Constructor.
`AssertionValidationException(String message)`
Constructor.
`AssertionValidationException(String message, Exception cause)`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### serialVersionUID

private static final long serialVersionUID
Serial version UID.

See Also:
  - Constant Field Values

## Constructor Details

### AssertionValidationException

public AssertionValidationException()
Constructor.

### AssertionValidationException

public AssertionValidationException(String message)
Constructor.

Parameters:
  `message` - the detail message.

### AssertionValidationException

public AssertionValidationException(Exception cause)
Constructor.

Parameters:
  `cause` - the exception cause

### AssertionValidationException

public AssertionValidationException(String message, Exception cause)
Constructor.

Parameters:
  `message` - the detail message
  `cause` - the exception cause